Bug 442975 - [workaround] no sound on Dell Inspiron 1420
[workaround] no sound on Dell Inspiron 1420
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-17 19:03 EDT by Jef Spaleta
Modified: 2009-07-14 11:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:44:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2008-04-17 19:03:41 EDT
Description of problem:
no audio playback

Workaround:
adding the following to modprobe.conf fixes the issue
options snd-hda-intel model=dell-3stack

Additional Info:
Fresh rawhide install 2008-04-17
Dell Inspiron Laptop
snd-hda-intel audio driver
kernel-2.6.25-0.234.rc9.git1.fc9.i686


after modprobe change and reboot 'aplay --list-devices' outputs:
card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]


Where does this sort of magic suppose to go so that settings just work?
Is this an alsa upstream issue? Is this something in our configs to catch when
this option is needed?

-jef
Comment 1 Chuck Ebbert 2008-04-18 00:23:20 EDT
(In reply to comment #0)
> 
> Where does this sort of magic suppose to go so that settings just work?
> Is this an alsa upstream issue? Is this something in our configs to catch when
> this option is needed?
> 

What model of Inspiron laptop is it? What does 'lspci -vnn' output about the
audio device?

Upstream is always playing catchup as new models are released -- they use a
table to look up the PCI ID of the audio controller and determine the driver
model to use.

Comment 2 Jef Spaleta 2008-04-18 14:00:56 EDT
lspci -vnn snippet:

00:1b.0 Audio device [0403]: Intel Corporation 82801H (ICH8 Family) HD Audio Con
troller [8086:284b] (rev 02)
        Subsystem: Dell Inspiron 1420 [1028:01f3]
        Flags: bus master, fast devsel, latency 0, IRQ 21
        Memory at fe9fc000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 
Enable-
        Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
        Capabilities: [100] Virtual Channel <?>
        Capabilities: [130] Root Complex Link <?>
        Kernel driver in use: HDA Intel
        Kernel modules: snd-hda-intel

Anything else you need?
Comment 3 Jef Spaleta 2008-04-28 14:48:37 EDT
Just to check in.  Fully updated to rawhide as of this morning and I no longer
need the modprobe.conf 'fix'.

Was this magic? Or was this a deliberate attempt on someone's part to fix the
issue via a patchset?

-jef

Comment 4 Chuck Ebbert 2008-04-29 14:57:44 EDT
I didn't see any fixes for that go in lately. Will leave the bug open so the
workaround is easy to find until the other Inspiron 1420 bug gets checked
against this one.
Comment 5 Jef Spaleta 2008-04-29 19:04:52 EDT
I still have to screw around with the default mixer settings to get recording to
work... I'm going to do another fresh install from rawhide tomorrowish and see
what shakes loose.

-jef
Comment 6 Bug Zapper 2008-05-14 05:36:33 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jacob Masaki 2009-05-03 16:51:29 EDT
Audio playback appears to just work in the Fedora 11 preview.  (I believe it also worked in Fedora 10, but I may have had to configure or un-mute something, I can't recall.)  So this bug should probably be closed.
Comment 8 Bug Zapper 2009-06-09 20:14:26 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 11:44:49 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.